SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Database)  >   MySQL Vendors:   MySQL.com
MySQL SQL SECURITY INVOKER Routines Let Remote Authenticated Users Gain Elevated Privileges
SecurityTracker Alert ID:  1018070
SecurityTracker URL:  http://securitytracker.com/id/1018070
CVE Reference:   CVE-2007-2692   (Links to External Site)
Date:  May 16 2007
Impact:   User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.0.x prior to 5.0.40, 5.1.x prior to 5.1.18
Description:   A vulnerability was reported in MySQL. A remote authenticated user can gain elevated privileges on the target database.

If a stored routine is declared as SQL SECURITY INVOKER, a remote authenticated user can gain elevated privileges. This occurs because the mysql_change_db() function does not properly restore THD::db_access privileges.

Alexander Nozdrin reported this vulnerability.

Impact:   A remote authenticated user can gain elevated privileges on the target database.
Solution:   The vendor has issued fixed versions (5.0.40, 5.1.18).

The MySQL advisory is available at:

http://dev.mysql.com/doc/refman/5.1/en/news-5-1-18.html

Vendor URL:  dev.mysql.com/doc/refman/5.1/en/news-5-1-18.html (Links to External Site)
Cause:   Access control error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 10 2007 (Red Hat Issues Fix) MySQL SQL SECURITY INVOKER Routines Let Remote Authenticated Users Gain Elevated Privileges   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Application Stack.
May 22 2008 (Red Hat Issues Fix) MySQL SQL SECURITY INVOKER Routines Let Remote Authenticated Users Gain Elevated Privileges   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 5.



 Source Message Contents

Date:  Wed, 16 May 2007 00:15:49 -0400
Subject:  MySQL


CVE-2007-2692

http://dev.mysql.com/doc/refman/5.1/en/news-5-1-18.html

> Security fix: If a stored routine was declared using SQL SECURITY INVOKER, a user 
> who invoked the routine could gain privileges.

http://bugs.mysql.com/bug.php?id=27337

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC